package org.expressolivre.cte.calendar.adicionar;

import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentEmailPage;
import org.testng.Assert;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.2] Adicionar compromisso
 * 
 * Caso de Teste: EL-1233:Enviar notificação do compromisso agendado
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-1233
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 18, 2011 at 9:45:58 AM
 * 
 */
public class LerNotificacaoCompromissoAgendadoTestCase extends
		BaseEmailTestCase {

	@Parameters({ "tipo", "titulo", "descricao", "local", "dataInicial",
			"horaInicial", "minutoInicial", "dataFinal", "horaFinal",
			"minutoFinal", "prioridade", "participantes" })
	@Test
	public void lerNotificacaoCompromissoAgendado(
			@Optional("Normal") String tipo, String titulo,
			@Optional("") String descricao, @Optional("") String local,
			@Optional("") String dataInicial, String horaInicial,
			String minutoInicial, @Optional("") String dataFinal,
			String horaFinal, String minutoFinal,
			@Optional("Normal") String prioridade, String participantes) {

		Calendar cal = Calendar.getInstance();
		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");

		// Se a data inicial nao for informada, pega data corrente.
		if ("".equals(dataInicial)) {
			dataInicial = sdf2.format(cal.getTime());
		}

		String assunto = "Evento do Calendário - Adicionado: " + dataInicial
				+ " - " + horaInicial + ":" + minutoInicial + " " + titulo;
		String id = mp.getEmailId(assunto);
		AppointmentEmailPage aep = mp.readAppointmentEmail(assunto);
		String texto = (String) aep.getAppointmentBody(id);
		Assert.assertTrue(texto
				.contains("Você possui um compromisso agendado para "
						+ dataInicial + " - "));
		Assert.assertTrue(texto.contains("Título ::"));
		Assert.assertTrue(texto.contains(titulo));
		Assert.assertTrue(texto.contains("Descrição ::"));
		Assert.assertTrue(texto.contains(descricao));
		Assert.assertTrue(texto.contains("Início Data/hora ::"));
		Assert.assertTrue(texto.contains("Data/Hora de término ::"));
		Assert.assertTrue(texto.contains("Localização ::"));
		Assert.assertTrue(texto.contains(local));
		Assert.assertTrue(texto.contains("Participantes ::"));

	}
}