package org.expressolivre.cte.calendar.compartilhar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AgendaAddACLUserPage;
import org.expressolivre.cte.pages.calendar.AgendaPermissionPage;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.7] Compartilhar agenda
 * 
 * Caso de Teste: EL-977:Permitir acesso somente leitura a agenda
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-977
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 17, 2011 at 9:13:24 AM
 * 
 */
public class PermitirAcessoSomenteLeituraAgendaTestCase extends
		BaseCalendarTestCase {

	@Parameters({ "nomeUsuario", "organizacao", "setor" })
	@Test
	public void permitirAcessoSomenteLeituraAgenda(String nomeUsuario,
			String organizacao, @Optional("") String setor) {
		AgendaPermissionPage app = super.openAgendaPermissionPage();

		if (!app.isUserInList(nomeUsuario)) {
			AgendaAddACLUserPage aaaup = app.addUserACL();
			aaaup.setOrganization(organizacao);
			aaaup.setSector(setor);
			aaaup.selectUser(nomeUsuario);
			aaaup.addUser();
			aaaup.close();
		}
		app.clearPemissions();
		app.setReadPermission(true);
		app.apply();
	}

}
