package org.expressolivre.cte.calendar.compartilhar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AgendaAddACLUserPage;
import org.expressolivre.cte.pages.calendar.AgendaPermissionPage;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.7] Compartilhar agenda
 * 
 * Caso de Teste: EL-978:Permitir acesso somente leitura e edicao a agenda
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-978
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 23, 2011 at 10:20:24 AM
 * 
 */
public class PermitirAcessoSomenteLeituraEEdicaoAgendaTestCase extends
		BaseCalendarTestCase {

	@Parameters({ "nomeUsuario", "organizacao", "setor" })
	@Test
	public void permitirAcessoSomenteLeituraAgenda(String nomeUsuario,
			String organizacao, @Optional("") String setor) {
		AgendaPermissionPage app = super.openAgendaPermissionPage();

		// Se usuario nao estiver na lista de permissoes abrir popup para
		// procurar e adicionar.
		if (!app.isUserInList(nomeUsuario)) {
			// TODO verificar essa implementacao pois, algumas vezes nao
			// funciona...
			AgendaAddACLUserPage aaaup = app.addUserACL();
			aaaup.setOrganization(organizacao);
			aaaup.setSector(setor);
			aaaup.selectUser(nomeUsuario);
			aaaup.addUser();
			aaaup.close();
		}

		app.clearPemissions();
		app.setReadPermission(true);
		app.setEditPermission(true);
		app.apply();
	}

}
