package org.expressolivre.cte.calendar.compartilhar;

import org.expressolivre.cte.common.BaseCalendarTestCase;
import org.expressolivre.cte.pages.calendar.AgendaAddACLUserPage;
import org.expressolivre.cte.pages.calendar.AgendaPermissionPage;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * Suite:[FUN03.7] Compartilhar agenda
 * 
 * Caso de Teste: EL-980:Permitir acesso adicao de evento a agenda
 * 
 * Link: http://testlink.expressolivre.org/linkto.php?tprojectPrefix=EL&item=
 * testcase&id=EL-980
 * 
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 24, 2011 at 2:49:24 PM
 * 
 */
public class PermitirAdicaoAgendaTestCase extends BaseCalendarTestCase {

	@Parameters({ "nomeUsuario", "organizacao", "setor" })
	@Test
	public void permitirAcessoAdicao(String nomeUsuario, String organizacao,
			@Optional("") String setor) {
		AgendaPermissionPage app = super.openAgendaPermissionPage();

		if (!app.isUserInList(nomeUsuario)) {
			AgendaAddACLUserPage aaaup = app.addUserACL();
			aaaup.setOrganization(organizacao);
			aaaup.setSector(setor);
			aaaup.selectUser(nomeUsuario);
			aaaup.addUser();
			aaaup.close();
		}
		app.clearPemissions();
		app.setAddPermission(true);
		app.apply();
	}

}
