package org.expressolivre.cte.calendar.visualizar;

import java.text.SimpleDateFormat;
import java.util.Calendar;

import org.expressolivre.cte.common.BaseEmailTestCase;
import org.expressolivre.cte.pages.calendar.AppointmentEmailPage;
import org.expressolivre.cte.pages.calendar.AppointmentStatusPage;
import org.expressolivre.cte.pages.calendar.AppointmentViewPage;
import org.testng.Assert;
import org.testng.annotations.Optional;
import org.testng.annotations.Parameters;
import org.testng.annotations.Test;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 19, 2011 at 11:23:45 AM
 * 
 */
public class MarcarTentativaCompromissoTestCase extends BaseEmailTestCase {

	@Parameters({ "titulo", "dataInicial", "horaInicial", "minutoInicial" })
	@Test
	public void marcarTentativaCompromisso(String titulo,

	@Optional("") String dataInicial, String horaInicial, String minutoInicial)
			throws Exception {

		Calendar cal = Calendar.getInstance();
		SimpleDateFormat sdf2 = new SimpleDateFormat("dd/MM/yyyy");

		// Se a data inicial nao for informada, pega data corrente.
		if ("".equals(dataInicial)) {
			dataInicial = sdf2.format(cal.getTime());
		}

		String assunto = "Evento do Calendário - Adicionado: " + dataInicial
				+ " - " + horaInicial + ":" + minutoInicial + " " + titulo;

		String id = mp.getEmailId(assunto);
		AppointmentEmailPage aep = mp.readAppointmentEmail(assunto);
		AppointmentStatusPage asp = aep.tentative(id);
		String message = asp.getMessage();
		aep = asp.close();

		// TODO espera um tempo ate a janela popup fechar. Rever essa
		// implementacao pois o close acima nao esta funcionando como deveria.
		// super.dummyWait(10);

		AppointmentViewPage avp = aep.viewAppointment(id);
		Assert.assertEquals(message, "O compromisso foi aceito com sucesso!");
	}
}
