package org.expressolivre.cte.pages.calendar;

import org.expressolivre.cte.pages.common.Page;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Aug 17, 2011 at 10:14:23 AM
 * 
 */
public class AgendaAddACLUserPage extends Page {

	/** Combo para selecao da organizacao. */
	@FindBy(name = "select_organization")
	private WebElement organization;

	/** Combo para selecao do setor. */
	@FindBy(name = "select_sector")
	private WebElement sector;

	/** Campo para pesquisar usuarios. */
	@FindBy(name = "search_users")
	private WebElement searchUsers;

	/** Combo para selecao dos usuarios. */
	@FindBy(id = "user_list_in")
	private WebElement userList;

	/** Botao para adicionar usuarios. */
	@FindBy(xpath = "//div[@id='divAppbox']/table/tbody/tr[9]/td/center/input[1]")
	private WebElement addUser;

	/** Botao para fechar a pagina. */
	@FindBy(xpath = "//div[@id='divAppbox']/table/tbody/tr[9]/td/center/input[2]")
	private WebElement close;

	/**
	 * @param driver
	 */
	public AgendaAddACLUserPage(WebDriver driver) {
		super(driver);
		// TODO Auto-generated constructor stub
	}

	/**
	 * Seta organizacao na combo.
	 * 
	 * @param organizacao
	 *            Organizacao a setar.
	 */
	public void setOrganization(String organizacao) {
		super.setComboValue(this.organization, organizacao);
	}

	/**
	 * Seta setor na combo.
	 * 
	 * @param setor
	 *            Setor a setar.
	 */
	public void setSector(String setor) {
		super.setComboValue(this.sector, setor);
	}

	/**
	 * Coloca texto para pesquisar por usuarios.
	 * 
	 * @param text
	 *            Usuario a pesquisar.
	 */
	public void setSearchBox(String text) {
		this.searchUsers.clear();
		this.searchUsers.sendKeys(text);
	}

	/**
	 * Seleciona usuarios para dar permissao na agenda.
	 * 
	 * @param userName
	 *            Nome do usuario a selecionar.
	 */
	public void selectUser(String userName) {
		super.setComboValue(this.userList, userName);
	}

	/**
	 * Adiciona usuario(s) previamente selecionado(s).
	 */
	public void addUser() {
		this.addUser.click();
	}

	/**
	 * Fecha pagina e retorna controle para a pagina anterior
	 * (AgendaPermissionPage)
	 * 
	 * TODO Rever a implementacao... nao esta funcionando!
	 */
	public void close() {

		this.close.click();
		String w = "";
		// TODO esse loop nao deveria existir... ver melhor forma de implementar
		// isso.
		for (String window : driver.getWindowHandles()) {
			driver.switchTo().window(window);
		}

	}
}
