package org.expressolivre.cte.pages.common;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Dec 13, 2010 at 9:30:42 AM
 * 
 */
public class LoginPage extends Page {

	@FindBy(name = "user")
	private WebElement username;

	@FindBy(name = "passwd")
	private WebElement password;

	@FindBy(id = "mensagem")
	private WebElement message;

	/**
	 * @param driver
	 */
	public LoginPage(WebDriver driver) {
		super(driver);
	}

	/**
	 * @param username
	 * @param password
	 */
	public void login(String username, String password) {
		super.waitForElement(By.name("user"));
		this.username.clear();
		this.username.sendKeys(username);
		this.password.sendKeys(password);
		this.username.submit();

	}

	public String getMessage() {
		if (super.isElementPresent(By.id("mensagem"))) {
			return this.message.getText();
		}
		return null;
	}
}
